%define srcname pyjournalctl

Name:           python-journalctl
Version:        0.7.0
Release:        %mkrel 3
Summary:        A python module that reads systemd journald similar to journalctl
License:        GPLv2
Group:          Development/Python
Source0:        https://pypi.python.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
Url:            https://github.com/kwirk/pyjournalctl
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  systemd-devel

%description
A python module that reads systemd journald similar to journalctl

%package -n python3-journalctl
Summary:        Python 3 module that reads systemd journald similar to journalctl
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-journalctl
A Python 3 module that reads systemd journald similar to journalctl.

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches
cp -a . %{py3dir} 

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir} 
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir} 
%{__python3} setup.py install --root %{buildroot} --skip-build 
popd

%{__python} setup.py install --root %{buildroot} --skip-build 


%files
%doc README.rst
%{python_sitearch}/*

%files -n python3-journalctl
%doc README.rst
%{python3_sitearch}/*


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 0.7.0-3.mga4
+ Revision: 543574
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.0-2.mga4
+ Revision: 498777
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Sep 02 2013 philippem <philippem> 0.7.0-1.mga4
+ Revision: 474431
- update to 0.7.0, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 379030
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 colin <colin> 0.4.0-1.mga3
+ Revision: 322779
- Add systemd-devel as a Build Requirement
- imported package python-journalctl (mostly by Angelo Naselli)

